Visualizzazione dei risultati da 1 a 8 su 8
  1. #1

    android.support.v7 su android studio

    ciao, ho android studio 4.1.2 su windows 10

    import android.support mi trova solo v4

    come faccio ad aggiungere v7?

    ho googlato inutilmente

  2. #2
    Utente di HTML.it L'avatar di Misterxxx
    Registrato dal
    Oct 2003
    Messaggi
    3,644
    hai guardato le dipendenze?
    Io ne ho viste cose che voi umani non potreste immaginare. Navi da combattimento in fiamme al largo dei bastioni di Orione e ho visto i raggi B, balenare nel buio vicino le porte di Tannhäuser. E tutti quei momenti ... andranno ... perduti nel tempo, come lacrime nella pioggia. È tempo di morire. (Roy Batty).

  3. #3
    su build.grandle
    dependencies {
    ...
    classpath "com.android.support:appcompat-v7:28.0.0"
    ...
    }


    su un libro "android 6"
    parlava di inserire
    compile "com.android.support:appcompat-v7:28.0.0"
    ma mi dice che e' deprecata e mi consiglia di sostituirla con
    implementation "com.android.support:appcompat-v7:28.0.0"
    ma restituisce il seguente errore
    Could not find method implementation() for arguments [com.android.support:appcompat-v7:28.0.0] on object of type org.gradle.api.internal.artifacts.dsl.dependencies .DefaultDependencyHandler.

  4. #4
    Utente di HTML.it L'avatar di Misterxxx
    Registrato dal
    Oct 2003
    Messaggi
    3,644
    implementation "com.android.support:appcompat-v7:28.0.0"
    è quella corretta

    verifica:
    di avere il Gradle aggiornato
    di mettere l'implemantazione nel build corretto (del Modulo non del Progetto)
    Io ne ho viste cose che voi umani non potreste immaginare. Navi da combattimento in fiamme al largo dei bastioni di Orione e ho visto i raggi B, balenare nel buio vicino le porte di Tannhäuser. E tutti quei momenti ... andranno ... perduti nel tempo, come lacrime nella pioggia. È tempo di morire. (Roy Batty).

  5. #5
    questa e' la versione
    Cattura01.JPG

    mentre questo e' dove inserisco la riga
    Cattura02.JPG

    come suggerito dal popup ho modificato in
    implementation "com.androidx.support:appcompat-v7:28.0.0"

    aggiornato e sincronizzato, chiuso progetto e programma
    riaperto ma non risolvo

    import android.support mi trova solo v4 e se porovo import androidx non trovo support

  6. #6
    Utente di HTML.it L'avatar di Misterxxx
    Registrato dal
    Oct 2003
    Messaggi
    3,644
    ho aperto uno dei miei vecchi progetti, aggiornato gradle e inserita la libreria
    mi da il tuo stesso errore e lo stesso suggerimento, ma una volta modificato come suggerito, sparisce l'errore
    neanche serve chiudere e riaprire
    quale altro errore ti da?

    il riferimento al gradle nel build del progetto è giusta (solo per scrupolo)?
    Ultima modifica di Misterxxx; 29-01-2021 a 23:03
    Io ne ho viste cose che voi umani non potreste immaginare. Navi da combattimento in fiamme al largo dei bastioni di Orione e ho visto i raggi B, balenare nel buio vicino le porte di Tannhäuser. E tutti quei momenti ... andranno ... perduti nel tempo, come lacrime nella pioggia. È tempo di morire. (Roy Batty).

  7. #7
    premetto che 5 giorni fa gradle per me era sconosciuto

    questo dovrebbe essere gradle del progetto
    Cattura03A.jpg

    mi da questi errori, dovrei andare a vedere i link indicati per capire come effettuare le correzioni
    Cattura03B.jpg

  8. #8
    risolto

    su gradle:
    implementation 'androidx.appcompat:appcompat:1.2.0'
    mentre nel file java:
    import androidx.appcompat.app.AppCompatActivity;

Permessi di invio

  • Non puoi inserire discussioni
  • Non puoi inserire repliche
  • Non puoi inserire allegati
  • Non puoi modificare i tuoi messaggi
  •  
Powered by vBulletin® Version 4.2.1
Copyright © 2021 vBulletin Solutions, Inc. All rights reserved.